package com.scalapay.order;

import com.scalapay.facade.ScalapayFacade;
import de.hybris.platform.commerceservices.order.impl.DefaultCommercePaymentAuthorizationStrategy;
import de.hybris.platform.commerceservices.service.data.CommerceCheckoutParameter;
import de.hybris.platform.payment.model.PaymentTransactionEntryModel;
import org.springframework.beans.factory.annotation.Autowired;

public class ScalaPaymentAuthorizationStrategy extends DefaultCommercePaymentAuthorizationStrategy {

    @Autowired
    private ScalapayFacade scalapayFacade;

    @Override
    public PaymentTransactionEntryModel authorizePaymentAmount(CommerceCheckoutParameter parameter) {

        return scalapayFacade.capture(parameter, null);

    }
}
