/*
 * [y] hybris Platform
 *
 * Copyright (c) 2018 SAP SE or an SAP affiliate company. All rights reserved.
 *
 * This software is the confidential and proprietary information of SAP
 * ("Confidential Information"). You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms of the
 * license agreement you entered into with SAP.
 */
package com.scalapay.constants;

import com.scalapay.constants.GeneratedScalapayConstants;

/**
 * Global class for all Scalapay constants. You can add global constants for your extension into this class.
 */
public final class ScalapayConstants extends GeneratedScalapayConstants
{
	public static final String EXTENSIONNAME = "scalapay";

	private ScalapayConstants()
	{
		//empty to avoid instantiating this constant class
	}

	// implement here constants used by this extension

    public static final String PLATFORM_LOGO_CODE = "scalapayPlatformLogo";
}
