package com.scalapay.strategies;

import de.hybris.platform.acceleratorservices.payment.data.CreateSubscriptionResult;
import de.hybris.platform.acceleratorservices.payment.data.PaymentErrorField;
import de.hybris.platform.acceleratorservices.payment.strategies.impl.AbstractPaymentResponseInterpretationStrategy;

import java.util.Map;

public class ScalaPaymentResponseInterpretationStrategy extends AbstractPaymentResponseInterpretationStrategy {

    @Override
    public CreateSubscriptionResult interpretResponse(Map<String, String> responseParams, String clientRef,
                                                      Map<String, PaymentErrorField> errors) {
        CreateSubscriptionResult createSubscriptionResult = new CreateSubscriptionResult();
        String status = responseParams.get("status");
        // todo convert SUCCESS to ACCEPT?
        status = "ACCEPT";
        createSubscriptionResult.setDecision(status);
        return createSubscriptionResult;
    }
}
